Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libqalculate
#Epoch:		0
Version:	0.9.7
Release:	1
License:	GNU/GPLv2
URL:		http://qalculate.sourceforge.net/
Group:		System/Libraries
Summary:	multi-purpose desktop calculator library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: gmp-devel

#Automatically resolved build dependencies
BuildRequires: cln-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: ncurses-devel
BuildRequires: pkg-config
BuildRequires: readline-devel

%description
Qalculate! is a multi-purpose desktop calculator for GNU/Linux. It is small and simple to use but with much power and versatility underneath. Features include customizable functions, units, arbitrary precision, plotting.


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/qalc
%{_libdir}/libqalculate.so.*
%{_locale}/*/LC_MESSAGES/libqalculate.mo
%{_datadir}/qalculate

%files devel
%defattr(-,root,root)
%{_includedir}/libqalculate
%{_libdir}/libqalculate.a
%{_libdir}/libqalculate.la
%{_libdir}/libqalculate.so
%{_pkgconfig}/libqalculate.pc

%{_docdir}/libqalculate-%{version}

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Wed Jun 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.7-1
- initial CCux package release
